#include <iostream>
#include <cmath>
#include <cstdlib>
#include <iomanip>

using namespace std;

int main()
{
    long long int n,m;
    scanf("%lld%lld",&n,&m);
    long long int brojRedara;
    brojRedara = n + m - 2 + n * m / 2;
    printf("%lld",brojRedara);
    return 0;
}